export default {
  schema: {
    list: "schema",
  },
  research: {
    addItem: "research/add/repo/{{index_key}}",
    updateItem: "research/update/repo/{{index_key}}/{{id}}", //ایدی فیش و یا حاشیه
    deleteItem: "/public/{{index_key}}/delete/{{id}}", //ایدی فیش و یا حاشیه
    listByEntityId: "research/get/list/{{entity_id}}", //   گرفتن لیست با ایدی
    listByEntityIdByFilter: "research/get/list/{{entity_id}}/{{filter}}", //   گرفتن لیست با ایدی و فیلتر  //research_type=فیش&service=repo&ref_key:sanad&user_create:2
    getByFilter: "research/get/list/{{filter}}", //   گرفتن لیست با فیلتر
  },
  fish: {
    save: "research/",
    list: "research/getFishList/",
    add: "research/add/repo/{{index_key}}",
    addTerm: "research/add/term/repo/{{index_key}}/{{project_id}}",
    update: "research/update/repo/{{index_key}}/{{id}}",
  },
  annotation: {
    add: "research/add/repo/{{index_key}}",
    update: "research/update/repo/{{index_key}}/{{id}}",
  },
  level: {
    item: "version/get/step/{{sanad}}/{{entity_id}}?title={{title}}",
    saveEdit: "version/step/{{sanad}}",
    add: "version/step/sanad",
    edit: "version/step/sanad/{{id}}",
    delete: "/version/delete/step/sanad/{{id}}",
  },
  similar: {
    // vector:"/majles/search/{{index_key}}/vector/{{sort_state}}/{{offset}}/{{limit}}",
    textual: "/majles/similar/{{index_key}}/{{field}}/{{offset}}/{{limit}}",
  },
  chart: {
    ganttchart: "repo/majles/ganttchart/{{index_key}}",
    ganttchart2: "/majles/ganttchart/{{index_key}}/{{filter}}",
    version: "repo/majles/version/@index_key",
  },
  // search: {
  //   default: "{{mode}}/data/{{params}}/{{sortKey}}/{{offset}}/{{limit}}",
  // },
  comparison: {
    getParent: "/public/@index_key/text/parent/@parent_id",
    getText: "/public/@index_key/text/@id",
  },
  edit: {
    treeList: "tree/@index_key/@qanon_id",
  },
};
